User Tools

Site Tools


asus_g2s

Asus G2S

Introduction

This is a guide to running Linux with the Asus G2S laptop.

This guide is intended to provide you details on how well this laptop works with Linux and which modules you need to configure. For details on how to actually install and configure the required modules have a look at our guides section for distribution specific instructions.

Editing This Page

If you would like to edit this page please first view our Editing Guidelines.

Specifications

NameAsus G2S
ProcessorIntel Core 2 Duo T7500 2.2GHz
Screen17“ WXGA+
RAM2GB
HDD300GB
Optical DriveDVD+-RW
GraphicsNVIDIA GeForce 8600M GT
Network10/100/1000 Ethernet, Intel 4965 802.11abgn Wireless, Bluetooth
Other4 x USB2.0, 1 x Firewire, Webcam, TV Tuner

Linux Compatibility

DeviceCompatibilityComments
ProcessorYes
ScreenYes
HDDYes
Optical DriveYes
GraphicsYesSee notes below
SoundYesSee notes below
EthernetYes
WirelessYesSee notes below
BluetoothNot Tested
56K ModemNot Tested
USBYes
FirewireNot Tested
Card ReaderNot Tested
ExpressCard SlotNot Tested
CameraPartialWorks with the linux-uvc driver, but quality doesn't seem good
TV TunerNoNo drivers at the moment

Notes

The ethernet controller needs kernel 2.6.21 or greater to function.

Most distributions don't yet support the GeForce 8600M in the Asus G2S. In this case you will need to install the proprietary nvidia module, see below for instructions on how to do this. Recent Linux distributions should be able to support the 8600M in 2D mode, but for 3D support the proprietary modules is needed.

The Intel 4965AGN controller requires the iwlwifi driver to function. This driver can be difficult to install depending on the kernel and distribution you are using. Currently Ubuntu 7.10, Mandriva Linux 2008 and OpenSuSE 10.3 support this controller as standard but you can view the guide below for a more up to date list of distributions which support this controller as well as instructions for distributions which don't support it fully.

Like the wireless controller, depending on the distribution you choose to use the audio system may not function. In this case you will have to install at least version 1.0.15rc3 of the ALSA drivers. Audio with Ubuntu 7.10 works fine.

Summary

A very recently released Linux distribution, such as Ubuntu 7.10, is recommended for the Asus G2S. The webcam doesn't work that great at the moment and there are no drivers available for the TV Tuner.

asus_g2s.txt · Last modified: 2018/02/27 10:59 by don